#
# spec file for package libticalcs2 (Version 1.1.2)
#

# norootforbuild

Name:           libticalcs2
BuildRequires:  glib2-devel libtifiles2-devel libticonv-devel libticables2-devel
Version:        1.1.7
Release:        %mkrel 1
Url:            http://ticalc.org
Summary:        A library for handling TI calculators
License:        GPL
Group:          Development/Libraries/C and C++
Source:         %{name}-%{version}.tar.xz
#Patch0:         libticalcs2-dont_use_reserved.patch
#Patch1:         libticalcs2-autoconf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The ticalcs library is a library which brings about all the functions
needed to communicate with a Texas Instruments graphing calculator (or
hand-held).
Currently, it does not support some education devices (such as CBL/CBR
and others).

This library can communicate with handhelds in a fairly
transparent fashion. With this library, the developer does not have to
worry about the packet oriented protocol, the file management and other
such stuff. The library provides a complete API which is very easy to
use and makes things easier.

The library supports all the currently available calculators and their
associated file formats:

- TI8x calculators: TI73, 82, 83, TI83+, 85 and 86 (with 2 sub-classes:
  TI73/83+ &amp; 85/86).
- TI9x calculators: TI89, 92, 92+ and V200PLT.

%package	libticalcs2
License:        GPL
Summary:        The TiCalcs2 runtime library
Group:          System/libraries

%description	libticalcs2
This package contains the TiCalcs2 runtime library.



%package        devel
License:        GPL
Summary:        Development files for libticalcs2
Group:          Development/Libraries/C and C++
Requires:       libticalcs2 = %{version}

%description    devel
This package contains the header files and libraries needed to develop
programs that use the TiCalcs2 library.



%prep
%setup -q
mkdir -p m4
#patch0
#patch1

%build
autoreconf -fi
#export CFLAGS="%{optflags}"
%configure
#__make %{?jobs:-j%jobs}
%make

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/libticalcs2.la
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -n libticalcs2 -p /sbin/ldconfig

%postun -n libticalcs2 -p /sbin/ldconfig

%files -n libticalcs2 -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libticalcs2.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/tilp2
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/ticalcs2.pc

%changelog
* Wed Sep 05 2012 Neal <nealbrks0 at gmail dot com> 1.1.7-1pclos2012
- process

* Tue Sep 04 2012 gseaman <galen.seaman at comcast.net> 1.1.7-1pclos2012
- build for PCLinuxOS

* Tue Jan 13 2009 pth@suse.de
- Initial package
- Don't use reserved macro name prefix LT_, use LTIC_ instead.
